#DCF
# 中台前端功能设计文档
0.未来功能
添加git可视化分析内容
- 可视化分析：
- 1.根据git链接一键下载按钮、一键分析文件按钮。
- 2.临时修改git文件内容、提交鉴权
- 3.sooon
## 一、核心功能概述
中台前端主要承担展示后端内容、渲染界面的职责，当前提供以下功能模块：

---

## 二、公开访问功能（无需登录）

### 1. 最近上传地图
- **功能描述**：展示地图下载器的全部地图
- **排序规则**：
  - 按创建时间倒序分组
  - 按下载量倒序分组
- **交互功能**：
  - 单地图下载
  - 地图评分（独立于地图工具评分体系）

### 2. 热门下载地图
- **数据范围**：最近一周内上传的地图
- **排序规则**：
  - 按创建时间倒序分组
  - 按下载量倒序分组
- **数据价值**：
  - 反映地图制作数量及活跃度
  - 展示地图更新速度与产出频率

### 3. 活跃作者推荐
- **统计维度**：
  - 三个月内发布记录
  - 一个月内发布记录（标注"是/否"）
  
- **排名算法**：
排名得分 = 三个月上传总量 × 活跃系数
活跃系数规则：
一个月内有上传：系数1.0
一个月内无上传但三个月内有：系数0.6
三个月内无上传：系数0（移出推荐）

- **积分规则**：
- 基础积分：每月总地图量×10
- 衰减规则：三个月在榜但一个月未在榜作者，积分×0.6

---

## 三、权限控制功能

### 4. Weapon匹配
- **当前权限**：全员可查看
- **后续规划**：将调整为MOD角色专属
- **功能特性**：提供在线mod编辑器，生成xml使用。
### 5. 赛事大厅
- **当前权限**：全员可查看
- **后续规划**：
- 比赛举办者：管理权限
- 参赛选手：参与权限
- **功能特性**：提供在线添加比赛用户，快速生成赛程表并联系选手。
### 6. 办事大厅
- **访问要求**：需登录认证
- **功能特性**：主要提供公告版功能，便于玩家沟通需求和对齐任务。

---

## 四、版本规划
| 功能模块          | 当前权限        | 目标权限              | 开发状态 |
|-------------------|----------------|----------------------|----------|
| 最近上传地图      | 公开           | 保持公开             | 已上线   |
| 热门下载地图      | 公开           | 保持公开             | 已上线   |
| 活跃作者推荐      | 公开           | 保持公开             | 已上线   |
| Weapon匹配        | 需登录           | MOD角色专属          | 待调整   |
| 赛事大厅          | 需登录           | 赛事相关角色分级权限 | 待调整   |
| 办事大厅          | 需登录         | 保持需登录           | 已上线   |